# Generated by Makefile. Do not edit.

commit 1f338a4ad3d447865843b440bf3f65be4ab11de9
Author: Marek Kasik <mkasik@redhat.com>
Date:   Thu Jun 6 14:45:36 2013 +0200

    l10n: Add/update translations from transifex

M	po/LINGUAS
M	po/cs.po
M	po/eo.po
M	po/es.po
C062	po/eo.po	po/eu.po
M	po/fr.po
M	po/gl.po
C062	po/eo.po	po/hr.po
M	po/hu.po
C062	po/es.po	po/ia.po
M	po/id.po
M	po/it.po
M	po/pl.po
C051	po/it.po	po/sr.po
C062	po/es.po	po/sv.po
M	po/uk.po

commit f2edaa40e95532e25542842ad3b995e415fd28f5
Author: Vincent Untz <vuntz@suse.com>
Date:   Fri Mar 1 09:32:07 2013 +0100

    Add Marek to AUTHORS
    
    He made enough significant changes to be listed there!

M	AUTHORS

commit 24ceb7df627cf91bb0b5237977c48bdee7ca50be
Author: Vincent Untz <vuntz@suse.com>
Date:   Fri Mar 1 09:30:51 2013 +0100

    Remove myself from maintainers
    
    Marek now has all the access rights to maintain cups-pk-helper, so I'm
    not needed anymore :-)

M	cups-pk-helper.doap

commit 5e2ef4b8bc98afa05a43109b8aea111fdbfd1bf8
Author: Vincent Untz <vuntz@suse.com>
Date:   Fri Feb 8 09:54:47 2013 +0100

    Update my mail address

M	AUTHORS
M	cups-pk-helper.doap

commit cdf55f5cca99fcf601660f7a2f91cb27d563af2d
Author: Vincent Untz <vuntz@suse.com>
Date:   Fri Feb 8 09:53:44 2013 +0100

    Add Marek as co-maintainer
    
    He agreed to step up, that's great news!

M	cups-pk-helper.doap

commit 810b0495d1e8870d03fc45a078bd14872f3d6b7c
Author: Vincent Untz <vuntz@suse.com>
Date:   Mon Dec 10 10:49:23 2012 +0100

    Document our source for validating printer names
    
    Since the change that got reverted was justified by some cups
    documentation, it's important to clearly document where the current
    validation scheme comes from (lpadmin man page and cups source).
    
    Also, fix the size check: the cups source code limits this to 127.

M	src/cups.c

commit f00aee0b43c31e94087668b23b72e873c660de5e
Author: Vincent Untz <vuntz@suse.com>
Date:   Mon Dec 10 10:44:31 2012 +0100

    Revert "Be stricter when validating printer names"
    
    Apparently, this is way too strict. The lpadmin man page says:
    
      CUPS allows printer names to contain any printable character except
      SPACE, TAB, "/", or  "#".
    
    So the previous code was (mostly) correct.
    
    This reverts commit 7bf9cbe43ef8f648f308e4760f75c2aa6b61fa8e.

M	src/cups.c

commit 69d9f6e5eefc6dd83e707334e9e59276656f7ed7
Author: Vincent Untz <vuntz@suse.com>
Date:   Fri Oct 12 17:53:37 2012 +0200

    release: post-release bump to 0.2.5

M	configure.ac

commit c5e33280771f84633013efff1031f414229136d2
Author: Vincent Untz <vuntz@suse.com>
Date:   Fri Oct 12 17:53:06 2012 +0200

    release: 0.2.4

M	NEWS

commit dcffa695e2ca74a673dcf613e651106a8f5bb233
Author: Vincent Untz <vuntz@suse.com>
Date:   Fri Oct 12 17:35:25 2012 +0200

    Fix detection of CUPS version
    
    This really fixes build with CUPS >= 1.6, this time.
    
    Thanks to Jürg Billeter <j@bitron.ch> for spotting the issue.

M	src/cups.c

commit a11e906f6a900930b0f7d5ddb808a346fc6aa7b1
Author: Vincent Untz <vuntz@suse.com>
Date:   Fri Oct 12 11:04:45 2012 +0200

    release: post-release bump to 0.2.4

M	configure.ac

commit 81361c273eda5a5f760e9e09975a0e1b7d215585
Author: Vincent Untz <vuntz@suse.com>
Date:   Fri Oct 12 11:01:01 2012 +0200

    release: 0.2.3

M	NEWS

commit a397b90823af3e4e697b9118022aa88f91a80989
Author: Vincent Untz <vuntz@suse.com>
Date:   Wed Oct 10 09:54:18 2012 +0200

    Also change supplementary groups when changing effective uid/gid
    
    Thanks to Alexander Peslyak <solar@openwall.com> and Sebastian Krahmer
    <krahmer@suse.de> for catching this.
    
    Part of fix for CVE-2012-4510.

M	src/cups.c

commit 6995d30816f0c76844dee4dc9022296a03258457
Author: Vincent Untz <vuntz@suse.com>
Date:   Wed Oct 3 18:21:41 2012 +0200

    Fix a bunch of issues when getting/putting a file from cups
    
    There was basically no check for permissions. Now, we temporarily change
    our effective uid/gid to the one of the user to open the file for
    writing (when getting) or reading (when putting). We then only use
    operations that work on the file descriptor to avoid potential race
    conditions.
    
    Before that, people could:
     - overwrite any file with the content of a cups resource
     - put any file in a cups resource
    
    Part of fix for CVE-2012-4510.

M	src/cups-pk-helper-mechanism.c
M	src/cups.c
M	src/cups.h

commit 2596bb7c4d4c9da54dd0bf16b115b979c1445608
Author: Vincent Untz <vuntz@suse.com>
Date:   Wed Oct 3 18:37:14 2012 +0200

    Fix compiler warning

M	src/cups-pk-helper-mechanism.c

commit 81de3c0630dd9e38a4b36679f751c9cca7219ed1
Author: Vincent Untz <vuntz@suse.com>
Date:   Wed Oct 3 18:08:35 2012 +0200

    Fix coding style issues in previous commit

M	src/cups.c

commit f1469e1a865d816f333f248c59073daa00682708
Author: Jiri Popelka <jpopelka@redhat.com>
Date:   Thu Jul 19 15:07:18 2012 +0200

    Fix build with CUPS >= 1.6 by using accessors for IPP API
    
    CUPS 1.6 makes various structures private and introduces ippGet*
    and ippSet* functions for all of the fields in these structures.
    See http://www.cups.org/str.php?L3928
    
    For compatibility with CUPS < 1.6, we manually define the needed
    accessors if building against the old CUPS.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=52265

M	src/cups.c

commit e1b6df2c0f44f3a6279e2907dbe79ff9c2d6c1a5
Author: Vincent Untz <vuntz@suse.com>
Date:   Tue Oct 2 11:14:19 2012 +0200

    l10n: Add/update translations from transifex

M	po/LINGUAS
M	po/de.po
C061	po/sl.po	po/es.po
C081	po/sl.po	po/fi.po
C052	po/sl.po	po/ka.po
C061	po/sl.po	po/lv.po
C060	po/sl.po	po/pt_BR.po
M	po/sl.po
M	po/tr.po
C068	po/sl.po	po/zh_CN.po

commit 7bf9cbe43ef8f648f308e4760f75c2aa6b61fa8e
Author: Vincent Untz <vuntz@suse.com>
Date:   Tue Mar 27 17:47:07 2012 +0200

    Be stricter when validating printer names
    
    Only alphanumerical characters and the underscore are valid, and the
    name must not be longer than 127 characters. See
    http://www.cups.org/documentation.php/doc-1.1/sam.html#4_1

M	src/cups.c

commit c9e0f69aefcbd21bc0b5a981ef4d28eb9794a4a9
Author: Vincent Untz <vuntz@suse.com>
Date:   Tue Mar 27 16:12:12 2012 +0200

    Escape printer/class names before putting them in URIs

M	src/cups.c

commit 37d99581d2b3e94ecaaa24590572db4eaf46fd69
Author: Vincent Untz <vuntz@suse.com>
Date:   Fri Mar 16 11:00:10 2012 +0100

    release: post-release bump to 0.2.3

M	configure.ac

commit 03d0873e8ba5df42ef9c04d9e30677e45f8bef32
Author: Vincent Untz <vuntz@suse.com>
Date:   Fri Mar 16 10:58:49 2012 +0100

    release: 0.2.2

M	NEWS

commit 170e852e9d9478ac621ba5b14e4e5c04da29c5f4
Author: Vincent Untz <vuntz@suse.com>
Date:   Fri Mar 16 10:51:45 2012 +0100

    l10n: Add/update translations from transifex

M	po/LINGUAS
C061	po/zh_TW.po	po/ja.po
C062	po/zh_TW.po	po/nl.po
C061	po/zh_TW.po	po/sk.po
M	po/zh_TW.po

commit 40914af0725caee68090346ceb7b73f1394c4a19
Author: Marek Kasik <mkasik@redhat.com>
Date:   Wed Mar 7 12:23:59 2012 +0100

    Use requesting-user-name parameter for all requests
    
    This has to be set explicitly for operations requiring
    authentication starting with CUPS 1.5.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=46890

M	src/cups.c

commit c9eb877f54c633ca8ca559b2346324743d56d198
Author: Vincent Untz <vuntz@novell.com>
Date:   Fri Mar 2 14:18:01 2012 +0100

    Cleanup cph_cups_printer_class_set_option_default()
    
    Check if the name we have is a printer or a class, and create the right
    request, instead of first assuming it's a printer, and trying for a
    class in case of failure.

M	src/cups.c

commit c2d079439c501bcbf1c7c7022687ce286ba35943
Author: Vincent Untz <vuntz@novell.com>
Date:   Fri Mar 2 14:09:26 2012 +0100

    Use _cph_cups_add_requesting_user_name() instead of manual tag
    
    We have a nice function, let's use it :-)

M	src/cups.c

commit 14d7d58d30511cea7d4ab64ed9738ca86257ced9
Author: Vincent Untz <vuntz@novell.com>
Date:   Fri Mar 2 14:08:21 2012 +0100

    Do not hardcode 1024 as size limits for path and lines
    
    PATH_MAX is the obvious choice for a path, and we already have a
    CPH_STR_MAXLEN which seems reasonable to use for lines.

M	src/cups.c

commit 003bc828551340a4444bf75be155be04903ba3f4
Author: Vincent Untz <vuntz@novell.com>
Date:   Fri Mar 2 14:02:59 2012 +0100

    Avoid leaking a ppd file when no change is done

M	src/cups.c

commit 5291152ff7554a3426d0fdfb019771eecf7c7bb8
Author: Vincent Untz <vuntz@novell.com>
Date:   Fri Mar 2 14:02:46 2012 +0100

    Fix coding style issues in previous commit

M	src/cups-pk-helper-mechanism.c
M	src/cups.c

commit c03420571c22187627ddfff52c3dcfff4495c6c3
Author: Marek Kasik <mkasik@redhat.com>
Date:   Fri Mar 2 13:58:24 2012 +0100

    Add PrinterAddOption D-Bus method
    
    New method to set options, without a "-default" suffix.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=45304

M	src/cups-pk-helper-mechanism.c
M	src/cups-pk-helper-mechanism.xml
M	src/cups.c
M	src/cups.h

commit 3bc57bf29ab31e7790bc81717e111c3160f265d9
Author: Vincent Untz <vuntz@novell.com>
Date:   Wed Feb 22 14:52:39 2012 +0100

    build: Use git.mk to generate .gitignore

D	.gitignore
M	Makefile.am
A	git.mk
M	src/Makefile.am

commit 902b4a94bd11f7d7ac363457b4d3ba9372fcd28a
Author: Vincent Untz <vuntz@novell.com>
Date:   Wed Feb 22 14:44:52 2012 +0100

    build: Generate ChangeLog on make dist

M	Makefile.am

commit 0d6f32962b53896e5df7324be99f138cdb3f11ee
Author: Marek Kasik <mkasik@redhat.com>
Date:   Wed Feb 1 10:53:59 2012 +0100

    build: Require gio-unix-2.0
    
    This is needed for GDBus generated files.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=45486

M	configure.ac

commit f0515956f2988a18268f7782dbda80a19e603d46
Author: Marek Kasik <mkasik@redhat.com>
Date:   Thu Oct 27 16:04:55 2011 +0200

    Set requesting-user-name to cupsUser() when fetching status of a job
    
    We set requesting-user-name to cupsUser() when calling
    IPP_GET_JOB_ATTRIBUTES: as cupsUser() will return the root user (or a
    user that has full access to cups, if cups-pk-helper is installed that
    way), this helps getting full access to information about all jobs.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=743886
    https://bugs.freedesktop.org/show_bug.cgi?id=42311

M	src/cups.c

commit 288063ad835576b3e0fe0fccf52cb8110a5a71b7
Author: Vincent Untz <vuntz@novell.com>
Date:   Mon Jan 16 16:21:57 2012 +0100

    doc: Add link to new homepage on fdo wiki

M	README
M	cups-pk-helper.doap

commit 418f2d868267cd34c909eeceb1674f1a5a7aebe3
Author: Vincent Untz <vuntz@novell.com>
Date:   Tue Dec 20 09:46:23 2011 +0100

    build: Create xz tarballs

M	configure.ac

commit 0d780a121a13396b6109292ac1ef2a05c7418384
Author: Vincent Untz <vuntz@novell.com>
Date:   Mon Sep 26 11:20:57 2011 +0200

    release: post-release bump to 0.2.2

M	configure.ac

commit c245126d4550ed64775379a7b692cd05ba778c2b
Author: Vincent Untz <vuntz@novell.com>
Date:   Mon Sep 26 11:20:45 2011 +0200

    release: 0.2.1

M	NEWS

commit 190e681bc4a89448e1d6d09d8c0a1c2bc4d05cdd
Author: Vincent Untz <vuntz@novell.com>
Date:   Mon Sep 26 10:58:09 2011 +0200

    l10n: Add/update translations from transifex

M	po/LINGUAS
C063	po/it.po	po/gl.po
M	po/it.po
C062	po/it.po	po/ko.po
C065	po/it.po	po/zh_TW.po

commit 4ee686f80658b573b637aafd058aaf00f454e002
Author: Marek Kasik <mkasik@redhat.com>
Date:   Mon Sep 19 18:52:38 2011 +0200

    Allow inactive/any users to authenticate
    
    This is useful for thin-clients/LTSP.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=41011

M	src/org.opensuse.cupspkhelper.mechanism.policy.in

commit 9aedc94362853ec3538569adb4b7c2d2f852fb5e
Author: Vincent Untz <vuntz@novell.com>
Date:   Mon Sep 19 18:33:36 2011 +0200

    Accept NULL for ppd file as valid when adding a printer
    
    We won't pass it to cups if it's NULL, so it's now valid to use NULL
    there.

M	src/cups.c

commit fc1926a2ceb622787b663ca34a7e3347909c09e0
Author: Tim Waugh <twaugh@redhat.com>
Date:   Mon Sep 19 18:30:38 2011 +0200

    Do not pass ppd file if empty when adding a printer
    
    It is okay if it's empty.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=41009

M	src/cups.c

commit 6327e725bc7d9ac7ca9c1ae367e32b713a44ab85
Author: Vincent Untz <vuntz@novell.com>
Date:   Mon Jul 25 21:39:52 2011 +0200

    release: post-release bump to 0.2.1

M	configure.ac

commit af963a06ec693332974a2af635598c9f51343fb3
Author: Vincent Untz <vuntz@novell.com>
Date:   Mon Jul 25 21:39:46 2011 +0200

    release: 0.2.0

M	NEWS
M	configure.ac

commit 2af8d26324ecae33c40fdf74588affca84931227
Author: Vincent Untz <vuntz@novell.com>
Date:   Mon Jul 25 21:37:14 2011 +0200

    l10n: Add/update translations from transifex

M	po/hu.po

commit afe6878f9e800d35db101a6b57cc5a4ca95b97bf
Author: Vincent Untz <vuntz@novell.com>
Date:   Wed Jul 6 03:38:17 2011 +0200

    Move the exit timer outside of the CphMechanism object
    
    We simply have the CphMechanism object emit a "called" signal that we
    listen to, in order to know when to reset the timeout.
    
    This makes the code cleaner, as we remove a call to exit().

M	src/cups-pk-helper-mechanism.c
M	src/cups-pk-helper-mechanism.h
M	src/main.c

commit 99130c31c884b30b19fae2d51cfa61a41c515d69
Author: Vincent Untz <vuntz@novell.com>
Date:   Wed Jul 6 03:19:03 2011 +0200

    Add org.freedesktop.DBus.Deprecated annotation to JobCancel

M	src/cups-pk-helper-mechanism.xml

commit 2107140e226eb3e5192c260ea23abbd223b5b8db
Author: Vincent Untz <vuntz@novell.com>
Date:   Wed Jul 6 03:13:29 2011 +0200

    Port test to GDBus

M	configure.ac
M	src/Makefile.am
M	src/test-cups-pk.c

commit a2b8afd1b926e6df627c12b729af2eb5d1e97a52
Author: Vincent Untz <vuntz@novell.com>
Date:   Wed Jul 6 02:57:59 2011 +0200

    build: Cleanup build system again

M	configure.ac
M	src/Makefile.am

commit 7006b5b23f5d4f6cac07db7cf96c921dd7c50fe0
Author: Vincent Untz <vuntz@novell.com>
Date:   Wed Jul 6 02:50:46 2011 +0200

    Drop gthread handling
    
    Recent versions of glib do this automatically.

M	configure.ac
M	src/main.c

commit 23eca5305592c6fed5b2c404e176415232c36e3f
Author: Vincent Untz <vuntz@novell.com>
Date:   Wed Jul 6 02:49:11 2011 +0200

    Rework cph_mechanism_register() so that it can be called more than once
    
    This won't happen, but this looks nicer :-)

M	src/cups-pk-helper-mechanism.c

commit 93a25f66392d837856730627ce569e7251ba93a1
Author: Vincent Untz <vuntz@novell.com>
Date:   Wed Jul 6 02:44:04 2011 +0200

    Stop using deprecated polkit API

M	configure.ac
M	src/cups-pk-helper-mechanism.c

commit dbf56332354cf736f8e1e43c164473a5345ed457
Author: Vincent Untz <vuntz@novell.com>
Date:   Wed Jul 6 02:36:27 2011 +0200

    Port to GDBus
    
    This includes various small other changes (moving our internal cups API
    to use GVariant instead of GHashTable, for instance).

M	configure.ac
M	src/Makefile.am
M	src/cups-pk-helper-mechanism.c
M	src/cups-pk-helper-mechanism.h
M	src/cups.c
M	src/cups.h
M	src/main.c

commit 863171518f83604854f86d00599bcdf1c4b3dba4
Author: Vincent Untz <vuntz@novell.com>
Date:   Tue Jul 5 14:07:18 2011 +0200

    release: post-release bump to 0.1.4

M	configure.ac

commit f6673830dda8a6401c68e5c9d82d02cb732bb0f5
Author: Vincent Untz <vuntz@novell.com>
Date:   Tue Jul 5 14:07:05 2011 +0200

    release: 0.1.3

M	NEWS

commit eaaa8aff7e15000da4dd0aee3a5e6ed781ea5edf
Author: Vincent Untz <vuntz@novell.com>
Date:   Tue Jul 5 14:01:38 2011 +0200

    l10n: Add/update translations from transifex

M	po/LINGUAS
C058	po/it.po	po/eo.po
M	po/hu.po
C057	po/tr.po	po/id.po
M	po/it.po
M	po/pl.po
C078	po/it.po	po/sl.po
M	po/tr.po
M	po/uk.po

commit 294cc0beb28dbe1c7eb0651ec1eda7ea63935566
Author: Marek Kasik <mkasik@redhat.com>
Date:   Fri May 13 13:30:03 2011 +0200

    Allow file request with NULL filename
    
    This allow us to add raw printers.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=37172

M	src/cups.c

commit 9e4f205ec55e7047804522f46880235b99dff4ee
Author: Vincent Untz <vuntz@novell.com>
Date:   Tue Jun 14 15:02:26 2011 +0200

    build: Modernize build system a bit
    
    Use the tar-ustar option for AM_INIT_AUTOMAKE for better tarballs.
    Do not use AM_MAINTAINER_MODE as it is not recommended by automake
    developers.
    Do not use libtool as there's nothing needing it.
    Do not use AC_ISC_POSIX, AC_HEADER_STDC, AM_PROG_CC_C_O as they
    shouldn't be needed on modern systems.
    Require intltool 0.40.6 to avoid various bugs.

M	configure.ac

commit d4c94b5c230dc36f4463eca4dd0afa220c07e658
Author: Vincent Untz <vuntz@novell.com>
Date:   Tue Mar 22 20:16:46 2011 +0100

    release: post-release bump to 0.1.3

M	configure.ac

commit b72388a8708c11b41e1bd943217c585b176fa652
Author: Vincent Untz <vuntz@novell.com>
Date:   Tue Mar 22 20:15:54 2011 +0100

    release: 0.1.2

M	NEWS

commit fd674a79290ab981e8334763a114ae206595e9ce
Author: Vincent Untz <vuntz@novell.com>
Date:   Tue Mar 22 20:11:22 2011 +0100

    l10n: Update french translation

M	po/fr.po

commit 62acace3126823d219ce06234f19a958bffbfaa5
Author: Vincent Untz <vuntz@novell.com>
Date:   Tue Mar 22 20:07:45 2011 +0100

    l10n: Add translations from transifex

M	po/LINGUAS
A	po/hu.po
A	po/it.po
A	po/pl.po
A	po/tr.po
A	po/uk.po

commit 814d3b2b31f0a276e8d7d3681d44156538032153
Author: Vincent Untz <vuntz@novell.com>
Date:   Tue Mar 22 20:06:05 2011 +0100

    l10n: Update pot file for transifex

M	po/cups-pk-helper.pot

commit 998f48213c610767a648f9d2cf8cc76c4dca68e1
Author: Marek Kašík <mkasik@redhat.com>
Date:   Tue Mar 22 18:46:31 2011 +0100

    Add all-edit action to enable authenticating only once in tools
    
    For configuration tools, it's likely that many authentications will be
    needed for various actions ("devices-get", "printer-local-edit", etc.),
    which is not friendly for the user.
    
    The all-edit action can be used by the configuration tools to
    authenticate for most methods only once (except the ones matching the
    "server-settings" action).
    
    https://bugzilla.gnome.org/show_bug.cgi?id=645533

M	src/cups-pk-helper-mechanism.c
M	src/org.opensuse.cupspkhelper.mechanism.policy.in

commit 8dfc1393ac70fecdd1d9e548f309cb80df37026e
Author: Vincent Untz <vuntz@novell.com>
Date:   Fri Feb 4 12:07:13 2011 +0100

    build: Set ACLOCAL_AMFLAGS to ${ACLOCAL_FLAGS}
    
    ACLOCAL_FLAGS is used by gnome-autogen.sh, and we need it when
    aclocal.m4 is to be rebuilt by make, to avoid losing some aclocal paths.

M	Makefile.am

commit 263e2c62d76e1b42671483b2f80990378fb1c759
Author: Vincent Untz <vuntz@novell.com>
Date:   Thu Jan 13 13:14:01 2011 +0100

    release: post-release bump to 0.1.2

M	configure.ac

commit 26c22cf04cda2cdb1ebd2ac7cf27ca254ccaf4a1
Author: Vincent Untz <vuntz@novell.com>
Date:   Thu Jan 13 13:13:16 2011 +0100

    release: 0.1.1

M	NEWS

commit 12668f85623f8f04635ca7370b1618272019aa39
Author: Vincent Untz <vuntz@novell.com>
Date:   Mon Dec 20 18:49:47 2010 +0100

    l10n: Add pot file for transifex
    
    Also remove the transifex token: it's useless now.

D	po/README.transifex
A	po/cups-pk-helper.pot

commit e27a67167ac5fd26d516f9a64014ebd764e9cac3
Author: Vincent Untz <vuntz@novell.com>
Date:   Mon Dec 20 17:53:02 2010 +0100

    l10n: Oops, forgot LINGUAS

M	po/LINGUAS

commit 4f8875877a94542315d101aaae198d65402b08aa
Author: Mrs Jenkins <mrs.jenkins.oh.yeah@gmail.com>
Date:   Mon Dec 20 17:52:30 2010 +0100

    l10n: Add Czech translation

A	po/cs.po

commit 45a4c99484c385b772f85d7479b48662730882d3
Author: Andre Klapper <ak-47@gmx.net>
Date:   Mon Dec 20 17:50:43 2010 +0100

    l10n: Add German translation

M	po/LINGUAS
A	po/de.po

commit 30e5f057086c7a4f25f00a513630a062310abdae
Author: Vincent Untz <vuntz@novell.com>
Date:   Mon Dec 20 17:49:12 2010 +0100

    l10n: Add French translation

M	po/LINGUAS
A	po/fr.po

commit 1b0e71ba5ade0b3a11c0a5a07120befe7668a7ca
Author: Vincent Untz <vuntz@novell.com>
Date:   Mon Sep 27 12:37:52 2010 +0200

    misc: Rename --enable-deprecations to --enable-deprecation-flags
    
    This is a better name for this configure option, since it's really about
    enabling the use of the deprecation flags, not allowing the use of
    deprecated API.
    
    Also add a configure summary.

M	configure.ac

commit 703267294c4457856b64b2f1e999c5d48597cf3f
Author: Vincent Untz <vuntz@novell.com>
Date:   Mon Sep 20 17:41:08 2010 +0200

    build: Update all Makefile.am to more recent standards

M	src/Makefile.am

commit 101467f128e9e86bc62b4704b39d998c94117b20
Author: Vincent Untz <vuntz@novell.com>
Date:   Mon Sep 20 17:38:53 2010 +0200

    misc: Update instructions for commit messages
    
    We're switching to "tag:" instead of "[tag]".

M	ChangeLog

commit 370c2e42c527bdc58cd6e5529a556aeec75dc132
Author: Vincent Untz <vuntz@novell.com>
Date:   Wed Sep 8 19:30:35 2010 +0200

    Add HACKING, update README
    
    Also update auto autogen.sh to be closer to autogen.sh from my GNOME
    modules.

A	HACKING
M	Makefile.am
M	README
M	autogen.sh

commit 9b60021b3663ca82d4b845780f68f89ca932c94c
Author: Vincent Untz <vuntz@novell.com>
Date:   Wed Sep 8 17:58:59 2010 +0200

    Add DOAP file

A	cups-pk-helper.doap

commit f0c9616f8bb5ed39fe9441de1dd98d363a268ebc
Author: Vincent Untz <vuntz@novell.com>
Date:   Wed Sep 8 17:52:42 2010 +0200

    Update license files to latest text
    
    Note that this doesn't change the license. The license text was updated
    for the latest FSF address, for example.

M	COPYING

commit 946c251f9c1585ef6dfd35db7d49a9ff8ab56f63
Author: Vincent Untz <vuntz@novell.com>
Date:   Wed Sep 8 13:36:48 2010 +0200

    Add LINGUAS file for translations

A	po/LINGUAS

commit c6a77fdbd6986adc05ac6db4fce2b6d348e4301a
Author: Vincent Untz <vuntz@novell.com>
Date:   Wed Sep 8 11:19:51 2010 +0200

    Clarify string
    
    https://bugs.freedesktop.org/show_bug.cgi?id=28285

M	src/org.opensuse.cupspkhelper.mechanism.policy.in

commit bbb976efd47d480b4d484ea4c14d6caa1b8e95ba
Author: Vincent Untz <vuntz@novell.com>
Date:   Wed Sep 8 11:14:42 2010 +0200

    Add transifex token

A	po/README.transifex

commit 229d052cf1d0cace8e2e39bc038778a9ab9c9a80
Author: Vincent Untz <vuntz@novell.com>
Date:   Mon Mar 22 12:10:12 2010 +0100

    Fix confusion between IPP and HTTP status when getting/putting a file
    
    We were using a HTTP status as if it were a IPP status, but the values
    are completely different, and we'd have end up with non-sense errors
    when using the HTTP status as an IPP status.
    
    Instead, we use the HTTP status to build an internal status error
    string.

M	src/cups.c

commit df2b6a40ac99360aafa05c71be28ee8a972bd8c4
Author: Vincent Untz <vuntz@novell.com>
Date:   Mon Mar 22 11:35:03 2010 +0100

    Make the include/exclude schemes work when getting devices with cups 1.4
    
    We were using g_strjoin() instead of g_strjoinv().
    
    Thanks to Dominique Leuenberger
    <dominique-freedesktop.org@leuenberger.net> for noticing the warning.
    
    http://bugs.freedesktop.org/show_bug.cgi?id=27235

M	src/cups.c

commit 1fed4e4a7ac1c79cc1550b0f127b4314bbd693f3
Author: Vincent Untz <vuntz@novell.com>
Date:   Wed Mar 10 03:24:41 2010 +0100

    Put some basic information in README

M	README

commit c0f879330c8bb529cddb094c7d21886334e732c0
Author: Vincent Untz <vuntz@novell.com>
Date:   Wed Mar 10 03:19:14 2010 +0100

    Use freedesktop bugzilla to report bugs

M	configure.ac

commit f360494558180a3c9399824d94de513bed3d0ed0
Author: Vincent Untz <vuntz@novell.com>
Date:   Fri Feb 19 17:05:45 2010 +0100

    [release] post-release bump to 0.1.1

M	configure.ac

commit dc7ad68b1062ece01db315914abb020f3bd370ce
Author: Vincent Untz <vuntz@novell.com>
Date:   Fri Feb 19 17:04:22 2010 +0100

    [release] 0.1.0

M	NEWS

commit fcf31c0d64cc68960cba25ea2733cbb40525a491
Author: Vincent Untz <vuntz@novell.com>
Date:   Fri Feb 19 16:43:17 2010 +0100

    Plug leaks

M	src/cups-pk-helper-mechanism.c

commit 1d5ead9e5d3fbfc11bd9b0849cb94f063e6604b5
Author: Vincent Untz <vuntz@novell.com>
Date:   Fri Feb 19 16:39:20 2010 +0100

    Make functions implementing dbus methods return nothing
    
    Since they are async methods, we return the dbus return value with
    dbus_g_method_return(). So the return values there are completely
    meaningless.

M	src/cups-pk-helper-mechanism.c
M	src/cups-pk-helper-mechanism.h

commit 1b2f633ae6d73e3d572b2c021ddff63ff005ca5f
Author: Vincent Untz <vuntz@novell.com>
Date:   Fri Feb 19 16:28:19 2010 +0100

    Fix previous commit (d3ad5757) to build

M	src/cups-pk-helper-mechanism.c

commit d3ad5757aef2e203337409f1d2e222b91e320638
Author: Vincent Untz <vuntz@novell.com>
Date:   Fri Feb 19 16:06:44 2010 +0100

    Make sure to return an error via dbus in case of failure
    
    It might happen that the internal error string is empty and we still
    fail. However, if we return an empty error string via dbus, the caller
    will think it has succeeded. So we make sure to never return an empty
    error string in case of failure.

M	src/cups-pk-helper-mechanism.c

commit 8d788b3d3bfb87f25c31a91d48e979e5749a7bd1
Author: Vincent Untz <vuntz@novell.com>
Date:   Fri Feb 19 16:03:57 2010 +0100

    Avoid timeout on job-related methods for invalid jobs
    
    We were not returning anything.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=548790

M	src/cups-pk-helper-mechanism.c

commit 8e8ba5fdddc8c0ac8fd146742e742103ae2e8edb
Author: Vincent Untz <vuntz@novell.com>
Date:   Fri Feb 19 15:47:02 2010 +0100

    Handle all cups replies the same way
    
    With a new _cph_cups_is_reply_ok() function, we make sure that we handle
    all cups replies the same way, updating the internal status and deleting
    the reply instead of leaking it when there's an error.

M	src/cups.c

commit 1d1a394d049df1424dca7e1357bb342716cd57fb
Author: Vincent Untz <vuntz@novell.com>
Date:   Fri Feb 19 15:33:10 2010 +0100

    Add _cph_cups_get_attribute_string() helper
    
    We use similar code in more than one place, so having a helper function
    to share code is better.

M	src/cups.c

commit 271f42cdd88ee09e8b2a5a54d2e9dadee7f909be
Author: Marek Kasik <mkasik@redhat.com>
Date:   Fri Feb 19 13:50:04 2010 +0100

    Improve performance of cph_cups_job_get_status()
    
    In cph_cups_job_get_status(), we used to iterate over all jobs to find
    the right one. We can instead use a IPP_GET_JOB_ATTRIBUTES request for
    the right job directly.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=548771

M	src/cups.c

commit 6ec80887768e2d61b5d5c26c2a2269716c86eff9
Author: Marek Kasik <mkasik@redhat.com>
Date:   Thu Feb 18 18:22:38 2010 +0100

    Add JobCancelPurge method
    
    This method is similar to JobCancel, but takes one additional parameter,
    "purge". This controls purging of history and document of all jobs.
    
    JobCancel is marked as deprecated, but is still available for
    compatibility.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=548756

M	src/cups-pk-helper-mechanism.c
M	src/cups-pk-helper-mechanism.h
M	src/cups-pk-helper-mechanism.xml
M	src/cups.c
M	src/cups.h

commit e6984fdf7d3d6fda79f4839b245fcca98fff8ebb
Author: Vincent Untz <vuntz@novell.com>
Date:   Wed Feb 17 20:11:00 2010 +0100

    Fix usage of multiple actions to determine if user interaction is needed
    
    We make it possible for one specific dbus method to use multiple actions
    to know if user interaction is needed.s
    
    It used to work before without doing any specific, but with the port to
    PolicyKit 1, we need to specify that the first actions (until the last
    one) cannot use user interaction. So if the user is authorized for them,
    it will just work, else we'll check for the following actions.
    
    User interaction is only acceptable for the last action, which is the
    minimal one required.
    
    For example: to enable a printer, the fine-grained privilege
    printer-enable is enough, but if it requires user interaction, we'll
    skip it and go straight to the printer-X-edit action, which makes it
    possible for the user to do more changes -- we won't ask for
    authentication to enable it, and then again to change an option.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=518012

M	src/cups-pk-helper-mechanism.c

commit 71ba5b17d98da262666d7cef9c10ccdf8bfdc38e
Author: Vincent Untz <vuntz@novell.com>
Date:   Wed Feb 17 12:27:53 2010 +0100

    Update .gitignore

M	.gitignore

commit 71b3d247398326f85f1816e493786e613e50aa6a
Author: Vincent Untz <vuntz@novell.com>
Date:   Wed Feb 17 12:26:13 2010 +0100

    Remove validation of policy file with polkit-policy-file-validate
    
    This was pre-PolicyKit 1. There's no equivalent now.

M	configure.ac
M	src/Makefile.am

commit 52c5e69dfbecf98da57215ecbf48e8d61c65f660
Author: Vincent Untz <vuntz@novell.com>
Date:   Tue Feb 16 21:44:56 2010 +0100

    Add check for string length in validity checks
    
    Apparently, CUPS can do bad things when strings are too long, like
    creating a new line and evaluating it as an instruction. So we just make
    sure that strings are not too long.
    
    We use a maximum length of 512 right now, which should be enough for all
    uses.
    
    https://bugzilla.novell.com/show_bug.cgi?id=447444

M	src/cups.c

commit 2e06c3ba13e6dc5df66e19de8a80f30e27136936
Author: Vincent Untz <vuntz@novell.com>
Date:   Tue Feb 16 21:30:32 2010 +0100

    Remove gtk+/gio dependency
    
    GTK+ was only needed for a test, and really, it didn't need it.
    And gio wasn't needed.

M	configure.ac
M	src/test-cups-pk.c

commit a5f90bee60990c6e8c06dc57c10bc37488add006
Author: Vincent Untz <vuntz@novell.com>
Date:   Tue Feb 16 21:10:15 2010 +0100

    Put commit message guidelines in ChangeLog

M	ChangeLog

commit b912ca5a0dc75035d49472a0e23662204f60c94b
Author: Vincent Untz <vuntz@novell.com>
Date:   Tue Feb 16 21:06:42 2010 +0100

    Bump version to 0.1.0 before release

M	configure.ac

commit 2cfab23baedf58830b1b6ca6201b85a7c1e33b70
Author: Vincent Untz <vuntz@novell.com>
Date:   Tue Feb 16 20:54:29 2010 +0100

    Small string tweaks in tests

M	src/test-cups-pk.c
M	src/test-cups-pk.py

commit 1a7fdc363fd4a4fba90641034bc4ca70392c93a3
Author: Vincent Untz <vuntz@novell.com>
Date:   Tue Feb 16 20:53:58 2010 +0100

    Fix removing printer in python test

M	src/test-cups-pk.py

commit 760f8c470c4da0269b1e036d5f8b572c0cd7fe15
Author: Vincent Untz <vuntz@novell.com>
Date:   Tue Feb 16 20:53:00 2010 +0100

    Port the tests to PolicyKit 1

M	src/test-cups-pk.c
M	src/test-cups-pk.py

commit 19362203486ff2f4ef50027a0de55bc41c48ba67
Author: Vincent Untz <vuntz@novell.com>
Date:   Tue Feb 16 20:24:40 2010 +0100

    Make _cph_mechanism_get_callers_user_name() static

M	src/cups-pk-helper-mechanism.c

commit 64462f01fe8ff373cd21a6905b1ef0e433ee3be0
Author: Vincent Untz <vuntz@novell.com>
Date:   Tue Feb 16 20:24:20 2010 +0100

    Code cleanup after PolicyKit 1 port

M	src/cups-pk-helper-mechanism.c

commit 03c0a725b77db0efaeda804e67a2622b426bb8b4
Author: Marek Kasik <mkasik@redhat.com>
Date:   Tue Feb 16 20:01:48 2010 +0100

    Port to PolicyKit 1
    
    Signed-off-by: Vincent Untz <vuntz@novell.com>

M	configure.ac
M	src/Makefile.am
M	src/cups-pk-helper-mechanism.c
M	src/org.opensuse.cupspkhelper.mechanism.policy.in

commit 826d963d212073935aad5459662695512d2a07b4
Author: Vincent Untz <vuntz@novell.com>
Date:   Tue Feb 16 20:21:25 2010 +0100

    Improve error string in autogen.sh

M	autogen.sh

commit 4691af850ab9051c792dffc670159492ba5e0371
Author: Vincent Untz <vuntz@novell.com>
Date:   Tue Feb 16 20:21:21 2010 +0100

    Use email instead of old bugzilla URL to report bugs

M	configure.ac

commit 5656b435fef01b4493c10cd0cfb6f938bdabd7f0
Author: Vincent Untz <vuntz@novell.com>
Date:   Tue Feb 16 20:16:18 2010 +0100

    Use AM_SILENT_RULES

M	configure.ac
M	src/Makefile.am

commit cab6ac5851558c9746cee919213c2118ea529903
Author: Tim Waugh <twaugh@redhat.com>
Date:   Tue Feb 16 19:51:43 2010 +0100

    Support adding printer without device URI
    
    https://bugzilla.redhat.com/show_bug.cgi?id=526442
    
    Signed-off-by: Vincent Untz <vuntz@novell.com>

M	src/cups.c

commit 534efdda6a53ee2beaa025e6dc89ea477e4a98e8
Author: Vincent Untz <vuntz@novell.com>
Date:   Tue Feb 16 19:49:21 2010 +0100

    Move lots of code around
    
    We regroup the functions that work at the same level together.

M	src/cups-pk-helper-mechanism.c
M	src/cups-pk-helper-mechanism.h
M	src/cups-pk-helper-mechanism.xml
M	src/cups.c
M	src/cups.h
M	src/org.opensuse.cupspkhelper.mechanism.policy.in

commit da98f819e8f8d2c8515073b364d997e509b6233e
Author: Vincent Untz <vuntz@novell.com>
Date:   Tue Feb 16 19:33:01 2010 +0100

    Reorganize cph_cups_devices_get() code to be more readable
    
    This is mainly splitting the two implementations in different functions.

M	src/cups.c

commit ecb458bf8d29596708b5067d6ce0354781eb76df
Author: Vincent Untz <vuntz@novell.com>
Date:   Tue Feb 16 19:23:53 2010 +0100

    Improve handling of errors for cph_cups_devices_get()

M	src/cups.c

commit 591b8a42ae17992132a270b1fe6cc720117fb91f
Author: Vincent Untz <vuntz@novell.com>
Date:   Tue Feb 16 19:15:42 2010 +0100

    Respect the schemes when getting devices with pre cups 1.4 code

M	src/cups.c

commit 3aa766b8c1952252913d5891cb0fb4567df7f448
Author: Vincent Untz <vuntz@novell.com>
Date:   Tue Feb 16 19:09:16 2010 +0100

    Add real validation of URI schemes

M	src/cups.c

commit 65e48f8f65f755db466f87ee581713c488eab59f
Author: Vincent Untz <vuntz@novell.com>
Date:   Tue Feb 16 19:02:39 2010 +0100

    Use an array of strings for schemes arguments of DevicesGet
    
    This will make the API work like the pycups one.
    
    Also, we start validating the schemes.

M	src/cups-pk-helper-mechanism.c
M	src/cups-pk-helper-mechanism.h
M	src/cups-pk-helper-mechanism.xml
M	src/cups.c
M	src/cups.h

commit 704638143f61fdabd60d2b3584ab97daea8957f6
Author: Vincent Untz <vuntz@novell.com>
Date:   Tue Feb 16 18:46:51 2010 +0100

    Avoid strdup'ing constant strings
    
    Also fix english a bit.

M	src/cups.c

commit 98a2c46e49343ac0becc73f8f37c4334a5c2adb2
Author: Vincent Untz <vuntz@novell.com>
Date:   Tue Feb 16 18:29:30 2010 +0100

    Add a limit argument to DevicesGet
    
    The pycups API has this argument.

M	src/cups-pk-helper-mechanism.c
M	src/cups-pk-helper-mechanism.h
M	src/cups-pk-helper-mechanism.xml
M	src/cups.c
M	src/cups.h

commit 5ae0b9036f1fef5fdf64439b9e8a8da44082ba13
Author: Vincent Untz <vuntz@novell.com>
Date:   Tue Feb 16 18:23:56 2010 +0100

    Also respect the timeout when getting devices with pre cups 1.4 code

M	src/cups.c

commit 8d646a9c09ce6c38f17a6fd421d890b365a56d23
Author: Vincent Untz <vuntz@novell.com>
Date:   Tue Feb 16 18:19:05 2010 +0100

    Be less strict when accepting devices to output in pre cups 1.4 code
    
    In pycups, only the device URI is required to be set, so behave the same
    way.

M	src/cups.c

commit 362d1354f8b788db3e521cb2dd44249859841b2f
Author: Vincent Untz <vuntz@novell.com>
Date:   Tue Feb 16 18:18:23 2010 +0100

    Code cleanup for cph_cups_devices_get()

M	src/cups.c

commit 500a05fcab1cc3cc443c1993f35f221ff9744144
Author: Marek Kasik <mkasik@redhat.com>
Date:   Tue Feb 16 18:14:12 2010 +0100

    Add DevicesGet method
    
    Signed-off-by: Vincent Untz <vuntz@novell.com>

M	src/cups-pk-helper-mechanism.c
M	src/cups-pk-helper-mechanism.h
M	src/cups-pk-helper-mechanism.xml
M	src/cups.c
M	src/cups.h
M	src/org.opensuse.cupspkhelper.mechanism.policy.in

commit f10ce246f00c89cf009e191422b02884e82291b7
Author: Vincent Untz <vuntz@novell.com>
Date:   Wed Mar 4 13:48:41 2009 +0100

    Update NEWS/configure.ac for 0.0.4.

M	NEWS
M	configure.ac

commit 9a6dbfff814e2864180659b9ba2ff2055a924516
Author: Vincent Untz <vuntz@novell.com>
Date:   Wed Mar 4 13:42:03 2009 +0100

    Change reconnect maximum delay to 3 seconds.
    
    Also add some comments to clarify things, after discussing with
    Marek Kasik.

M	src/cups.c

commit 08d6e88b44aa0ac7c74c9f9874f2067d7f9b90e4
Author: Vincent Untz <vuntz@novell.com>
Date:   Sat Feb 28 03:31:35 2009 +0100

    Use "/jobs/" as resource instead of "/admin/"
    
    This is what pycups does, so let's just do the same.

M	src/cups.c

commit 70ba1da9edba817c4b02165fbe110e45b509da73
Author: Vincent Untz <vuntz@novell.com>
Date:   Sat Feb 28 03:23:43 2009 +0100

    Move the check validity for job_hold_until later.
    
    We group it with other checks for text.
    
    Also add some comments to structure the code.

M	src/cups.c

commit 10024dbff8720f99e5ef12a78d8a3639ccbcf22a
Author: Vincent Untz <vuntz@novell.com>
Date:   Sat Feb 28 03:17:28 2009 +0100

    Add checks for job id validity.
    
    Also add a comment on why we don't check the user name for the
    job-related functions.

M	src/cups.c

commit d6379339afde8b13005eb0ca45d547cbd190e636
Author: Vincent Untz <vuntz@novell.com>
Date:   Sat Feb 28 03:03:56 2009 +0100

    Make cph_cups_reconnect() static.

M	src/cups.c

commit af296830e6493a3fc3286da8445de81b054a2343
Author: Vincent Untz <vuntz@novell.com>
Date:   Sat Feb 28 03:02:26 2009 +0100

    Mark the newly-implemented pycups API as covered.

M	src/cups.c

commit 0fef967b8aaad56fc413d4335899698ed92d39ce
Author: Vincent Untz <vuntz@novell.com>
Date:   Sat Feb 28 03:00:30 2009 +0100

    Tweak comment.

M	src/cups.c

commit 1e0b8a3249a0ac99c2bd3b8d5aa75719e3d16985
Author: Vincent Untz <vuntz@novell.com>
Date:   Sat Feb 28 02:58:45 2009 +0100

    More code style fixes.

M	src/cups.c

commit a0ccb4dbb2242e77aa90ae89fce573bcb7469a19
Author: Vincent Untz <vuntz@novell.com>
Date:   Sat Feb 28 02:50:19 2009 +0100

    Change default policy for job-edit to yes.
    
    Since the job is owned by the user, there's no point in asking for a
    password.

M	src/org.opensuse.cupspkhelper.mechanism.policy.in

commit df6a846974896d21c07482dac6282dc25ceeaf56
Author: Vincent Untz <vuntz@novell.com>
Date:   Sat Feb 28 02:48:40 2009 +0100

    Remove tracking of the reconnecting state: it's not used.

M	src/cups.c

commit 8f87fc9073123ccc9637c06b915fb6007d41e88e
Author: Vincent Untz <vuntz@novell.com>
Date:   Sat Feb 28 02:47:55 2009 +0100

    Code style fixes.

M	src/cups-pk-helper-mechanism.c
M	src/cups.c

commit 2a6fb5b50a5cfd790a24c69ab5fe7e26dab3a4ba
Author: Marek Kasik <mkasik@redhat.com>
Date:   Tue Feb 17 16:55:54 2009 +0100

    Add job related functions + reconnect ability
    
    Add _cph_mechanism_get_callers_user_name() function. This function returns caller's user name.
    
    Add handling of "file:" backend in cph_cups_is_printer_uri_local().
    
    Signed-off-by: Vincent Untz <vuntz@novell.com>

M	src/cups-pk-helper-mechanism.c
M	src/cups-pk-helper-mechanism.h
M	src/cups-pk-helper-mechanism.xml
M	src/cups.c
M	src/cups.h
M	src/org.opensuse.cupspkhelper.mechanism.policy.in

commit 87f6b0f3669e11e565b1288cb59e4479dc76ad50
Author: Vincent Untz <vuntz@novell.com>
Date:   Tue Jan 27 00:42:10 2009 +0100

    Only use send_destination.
    
    The send_interface part is redundant, and as it was, it also matched
    other services with the same interface name.

M	src/org.opensuse.CupsPkHelper.Mechanism.conf

commit 363312f8440014741a3a8dcb9d88ac01655b0c5d
Author: Vincent Untz <vuntz@novell.com>
Date:   Fri Nov 21 07:37:08 2008 +0100

    Update NEWS/configure.ac for 0.0.3.

M	NEWS
M	configure.ac

commit 27905d405477a55bbf746aea9ebf9e68974b4c29
Author: Vincent Untz <vuntz@novell.com>
Date:   Fri Nov 21 07:30:05 2008 +0100

    Implement FileGet/FilePut methods.
    
    Took me long hours to make it work, with a workaround.
    See https://bugzilla.novell.com/show_bug.cgi?id=447422 for details.

M	src/cups-pk-helper-mechanism.c
M	src/cups-pk-helper-mechanism.h
M	src/cups-pk-helper-mechanism.xml
M	src/cups.c
M	src/cups.h

commit 3cd0cfbcfd15cbff41a43e96e63f6bd1f2225ad5
Author: Vincent Untz <vuntz@novell.com>
Date:   Fri Nov 21 01:17:50 2008 +0100

    Use class-edit check when classes are involved.

M	src/cups-pk-helper-mechanism.c

commit 3f64b841ef2ddf6d8b23a49ceabee461e0f26f0e
Author: Vincent Untz <vuntz@novell.com>
Date:   Fri Nov 21 01:12:17 2008 +0100

    Add cph_cups_is_class().

M	src/cups.c
M	src/cups.h

commit 20f6cda5f7884d6340c32f9d85a66fcc517cfde8
Author: Vincent Untz <vuntz@novell.com>
Date:   Fri Nov 21 00:58:37 2008 +0100

    Also take into account printer-X-edit for set-default/printer-enable.
    
    This is actually important if we don't want to ask for password too many
    different times. That's why we even prefer printer-X-edit over
    set-default/printer-enable when requesting authentication.

M	src/cups-pk-helper-mechanism.c
M	src/org.opensuse.cupspkhelper.mechanism.policy.in

commit 37b8b42e048b1803685add376e286b53d95f058c
Author: Vincent Untz <vuntz@novell.com>
Date:   Fri Nov 21 00:41:44 2008 +0100

    Add _check_polkit_for_printer().
    
    It looks it the printer is local or remote, and does the right thing.
    And use it to check right actions for most remaining methods.

M	src/cups-pk-helper-mechanism.c

commit 5d4ef2f827e83abbd59c16b31d2ee0a76dc44b86
Author: Vincent Untz <vuntz@novell.com>
Date:   Fri Nov 21 00:41:10 2008 +0100

    Fix check for remote hplip.

M	src/cups.c

commit 0045b8483c9a55ff46c9a5b994b58f6157a46803
Author: Vincent Untz <vuntz@novell.com>
Date:   Fri Nov 21 00:40:45 2008 +0100

    Add cph_cups_is_printer_local(), to make life easier.

M	src/cups.c
M	src/cups.h

commit e6e79a9b02b9a1f530b76d8016dd45c207461c25
Author: Vincent Untz <vuntz@novell.com>
Date:   Fri Nov 21 00:06:22 2008 +0100

    Check right actions for class methods.

M	src/cups-pk-helper-mechanism.c

commit f7efa993f16e2b5ba72cf9759a65b2ce2ef66f99
Author: Vincent Untz <vuntz@novell.com>
Date:   Fri Nov 21 00:04:53 2008 +0100

    Rename policies with dashes, and add class-edit.

M	src/cups-pk-helper-mechanism.c
M	src/org.opensuse.cupspkhelper.mechanism.policy.in

commit f7554181d51e911e1b357934853c4d860667048a
Author: Vincent Untz <vuntz@novell.com>
Date:   Fri Nov 21 00:01:27 2008 +0100

    Add cph_cups_printer_get_uri() to get the URI of a printer based on its
    name.
    
    Also, a printer with an empty URI is local.

M	src/cups.c
M	src/cups.h

commit e64c2a9463a466d6499956b5549a194688b5c2a9
Author: Vincent Untz <vuntz@novell.com>
Date:   Thu Nov 20 23:23:59 2008 +0100

    Make it possible to check for more than one authorization for a given
    method.
    
    And use this for enable/set default.

M	src/cups-pk-helper-mechanism.c

commit dcd1731d6f017664224db217475b0b6fbac3118b
Author: Vincent Untz <vuntz@novell.com>
Date:   Thu Nov 20 23:23:07 2008 +0100

    Fix a bug where most of the changes to a printer didn't work.
    
    A lot of changes are done by sending a new PPD file. And it didn't work
    because we were sending it with an empty URI (instead of no URI).

M	src/cups.c

commit b4d43606c097be18c54b504346f8eb475757de9a
Author: Vincent Untz <vuntz@novell.com>
Date:   Thu Nov 20 22:30:26 2008 +0100

    Add some commented out code useful for debugging.

M	src/cups.c

commit ed9ae5b677b55baaed859d3607f044c6089cbcc3
Author: Vincent Untz <vuntz@novell.com>
Date:   Thu Nov 20 20:15:57 2008 +0100

    Add new policies for PK, and start using them.
    
    Step 1: serversettings.

M	src/cups-pk-helper-mechanism.c
M	src/org.opensuse.cupspkhelper.mechanism.policy.in

commit 38a8f4b0e11be62ac357163acb106fd90e07cb7e
Author: Vincent Untz <vuntz@novell.com>
Date:   Thu Nov 20 19:04:12 2008 +0100

    s/_cps/_cph/ (typo in namespace)

M	src/cups.c
M	src/cups.h

commit 23eef6329f90e91bd5dadf9f66db4ab3da4b5b78
Author: Vincent Untz <vuntz@novell.com>
Date:   Thu Nov 20 17:52:20 2008 +0100

    Implement ClassAddPrinter/ClassDeletePrinter/ClassDelete methods.

M	src/cups-pk-helper-mechanism.c
M	src/cups-pk-helper-mechanism.h
M	src/cups-pk-helper-mechanism.xml
M	src/cups.c
M	src/cups.h

commit 1e69640f8200b74b3bd044ddd046a51220326a69
Author: Vincent Untz <vuntz@novell.com>
Date:   Thu Nov 20 16:21:42 2008 +0100

    Mark adminGetServerSettings/adminSetServerSettings as done.

M	src/cups.c

commit 8f8853d8bc0a4283786a16d214e1ab6183731c3c
Author: Vincent Untz <vuntz@novell.com>
Date:   Thu Nov 20 16:13:21 2008 +0100

    Add cps_cups_is_printer_uri_local() function.
    
    It will be used to implement different policies, depending on the local
    vs remote printer.

M	src/cups.c
M	src/cups.h

commit e99cc52da775db022197655fdc7b5ddd936a1fc3
Author: Vincent Untz <vuntz@novell.com>
Date:   Thu Nov 20 15:41:17 2008 +0100

    s/_cps/_cph/ (typo in namespace)

M	src/cups.c

commit b2e1a3ad0952c62f7dda257544fab61d7c53eedf
Author: Vincent Untz <vuntz@novell.com>
Date:   Thu Nov 20 15:36:10 2008 +0100

    Add ServerGetSettings/ServerSetSettings

M	src/cups-pk-helper-mechanism.c
M	src/cups-pk-helper-mechanism.h
M	src/cups-pk-helper-mechanism.xml
M	src/cups.c
M	src/cups.h

commit 32652bcef3548370a165f9657ed5fee7759a1dec
Author: Vincent Untz <vuntz@novell.com>
Date:   Thu Nov 20 14:18:19 2008 +0100

    Fix stupid crash in _cps_cups_printer_class_set_users().
    
    And remove debug output committed by accident.

M	src/cups-pk-helper-mechanism.c
M	src/cups.c

commit 7831595099f4f6cd11b8dab4604434ccb129f498
Author: Vincent Untz <vuntz@novell.com>
Date:   Thu Nov 20 14:10:58 2008 +0100

    Skip empty user names when setting Allowed/Denied.

M	src/cups-pk-helper-mechanism.c
M	src/cups.c

commit 165a2528be374363b1d47336140fcc8e823f7c56
Author: Vincent Untz <vuntz@novell.com>
Date:   Thu Nov 20 13:29:13 2008 +0100

    Accept an empty string array for deleting an option.
    
    (instead of just accepting NULL)

M	src/cups.c

commit 32806f03fc3ab30323b7fad3356c3682d3fb55dc
Author: Vincent Untz <vuntz@novell.com>
Date:   Thu Nov 20 13:28:27 2008 +0100

    Add (untested) PrinterSetUsersAllowed/PrinterSetUsersDenied.

M	src/cups-pk-helper-mechanism.c
M	src/cups-pk-helper-mechanism.h
M	src/cups-pk-helper-mechanism.xml
M	src/cups.c
M	src/cups.h

commit d5514d9cf5fe319a8649d7e8d0d1b40ece590a4b
Author: Vincent Untz <vuntz@novell.com>
Date:   Thu Nov 20 11:24:38 2008 +0100

    Change the signature of PrinterAddOptionDefault to take as.
    
    Some options need an array of string, instead of just a string
    (setPrinterUsersAllowed, eg).
    And it actually simplifies code :-)

M	src/cups-pk-helper-mechanism.c
M	src/cups-pk-helper-mechanism.h
M	src/cups-pk-helper-mechanism.xml
M	src/cups.c
M	src/cups.h

commit 463e3a6b4039d2c2aa4674e3ef9978e36c71627d
Author: Vincent Untz <vuntz@novell.com>
Date:   Mon Nov 17 17:03:12 2008 +0100

    Fill NEWS for the past releases.

M	NEWS

commit 2f0c640fb2cf73c4be260666a6363fe0cb64ebef
Author: Vincent Untz <vuntz@novell.com>
Date:   Mon Nov 17 16:59:40 2008 +0100

    Release 0.0.2

M	configure.ac

commit 7fc8e6d1a096534df72637507c9f64814e506825
Author: Vincent Untz <vuntz@novell.com>
Date:   Thu Nov 13 16:53:32 2008 +0100

    Fix a crash in validity checks.
    
    When a string was NULL and we accepted NULL strings, we were calling
    strlen() on it...

M	src/cups.c

commit 02242c90fa69bea25b34b02da53ff31581b8d9be
Author: Vincent Untz <vuntz@novell.com>
Date:   Thu Nov 13 16:53:18 2008 +0100

    Add some code in the python test for accepting jobs.

M	src/test-cups-pk.py

commit 80c3074b891ec8015450775bc5bdff34fed7b06f
Author: Vincent Untz <vuntz@novell.com>
Date:   Thu Nov 13 16:41:42 2008 +0100

    Add some code in the python test for changing an option.

M	src/test-cups-pk.py

commit f09382e745e2de228202802f963fea6500258f5c
Author: Vincent Untz <vuntz@novell.com>
Date:   Thu Nov 13 16:41:05 2008 +0100

    Add remaining safety checks.

M	src/cups.c

commit 6181ea2ae2a2225e46bfb5643c41dd3cc60f7004
Author: Vincent Untz <vuntz@novell.com>
Date:   Thu Nov 13 16:12:23 2008 +0100

    Add lots of checks.

M	src/cups.c

commit 8abdea27b4b1df17f6623373d6ae24ad05bc871f
Author: Vincent Untz <vuntz@novell.com>
Date:   Thu Nov 13 15:55:15 2008 +0100

    Create a macro to easily add some checks.

M	src/cups.c

commit 5d5a4ba3f1f166a5295c7f771edd6d2e0e241f2e
Author: Vincent Untz <vuntz@novell.com>
Date:   Thu Nov 13 15:49:56 2008 +0100

    Validity check for printer URI.

M	src/cups.c

commit 93a7cae10e94216c6060dc87c6807399c8a46da2
Author: Vincent Untz <vuntz@novell.com>
Date:   Thu Nov 13 15:44:58 2008 +0100

    Add small comment.

M	src/cups.c

commit cc033d51e84a744e69daad4a5fa33481fbf98021
Author: Vincent Untz <vuntz@novell.com>
Date:   Thu Nov 13 15:41:50 2008 +0100

    Add checks for the printer name.

M	src/cups.c

commit 53c720bf6cde3f8defe8f7230c4f856b2cbaea2f
Author: Vincent Untz <vuntz@novell.com>
Date:   Thu Nov 13 15:36:58 2008 +0100

    Add infrastructure to have a non-cups internal status.

M	src/cups.c

commit 40726ce8d8abb6cb53fc2e1b1890ade9b0161bdd
Author: Vincent Untz <vuntz@novell.com>
Date:   Thu Nov 13 15:32:57 2008 +0100

    Implement _cph_cups_is_printer_name_valid()
    
    Based on the checks done in s-c-p.

M	src/cups.c

commit ec0e0de5fb523c055ce02e96450ffcc087e38f80
Author: Vincent Untz <vuntz@novell.com>
Date:   Mon Oct 27 15:35:58 2008 +0100

    The patch for system-config-printer is now in a git branch of s-c-p.

D	patches/system-config-printer.patch

commit ab9d2cd92a2bf97ba02d627f1e745c5535c7a849
Author: Vincent Untz <vuntz@novell.com>
Date:   Mon Oct 27 14:44:47 2008 +0100

    Make it possible to specify the resource to use for cups requests.
    
    This brings us closer to what pycups is doing.

M	src/cups.c

commit c676daec868f1729afd492f958e39c8355c743cf
Author: Vincent Untz <vuntz@novell.com>
Date:   Mon Oct 27 14:44:03 2008 +0100

    Make AcceptJobs actually work.
    
    reason has to be NULL when calling cph_cups_printer_set_accept_jobs().

M	src/cups-pk-helper-mechanism.c

commit 021f3cc3b8c0e326d012e4cf27be2b9d42f7a0cf
Author: Vincent Untz <vuntz@novell.com>
Date:   Tue Sep 23 15:11:04 2008 +0200

    Update s-c-p patch.

M	patches/system-config-printer.patch

commit 8f4dd9428983f7a98c5c500a87b8f1f50a6e3814
Author: Vincent Untz <vuntz@novell.com>
Date:   Mon Sep 22 05:18:03 2008 +0200

    Improve s-c-p patch (UI not blocking, no repeating password dialogs)
    
    And pass distcheck.

M	.gitignore
M	patches/system-config-printer.patch
A	po/ChangeLog
M	po/POTFILES.in
M	src/test-cups-pk.c
M	src/test-cups-pk.py

commit 30b23465704727a89cfcc2d0e8c9e2225d220d77
Author: Vincent Untz <vuntz@novell.com>
Date:   Mon Sep 22 03:10:13 2008 +0200

    Add quite some stuff, and the current patch to s-c-p.

M	configure.ac
A	patches/system-config-printer.patch
M	src/cups-pk-helper-mechanism.c
M	src/cups-pk-helper-mechanism.h
M	src/cups-pk-helper-mechanism.xml
M	src/cups.c
M	src/cups.h
M	src/org.opensuse.cupspkhelper.mechanism.policy.in
A	src/test-cups-pk.py
M	src/test-cups.c

commit e992a74d8f8ef2b0e28c035322ab67b97afd3f0f
Author: Vincent Untz <vuntz@novell.com>
Date:   Sun Sep 21 06:48:34 2008 +0200

    First pass at this.
    
    There are two smalls test program to show this works :-)

M	.gitignore
M	autogen.sh
M	configure.ac
M	src/Makefile.am
D	src/cups-methods.c
M	src/cups-pk-helper-mechanism.c
M	src/cups-pk-helper-mechanism.h
M	src/cups-pk-helper-mechanism.xml
A	src/cups.c
A	src/cups.h
M	src/main.c
R068	src/org.opensuse.cups-pk-helper.Mechanism.conf	src/org.opensuse.CupsPkHelper.Mechanism.conf
R061	src/org.opensuse.cups-pk-helper.Mechanism.service.in	src/org.opensuse.CupsPkHelper.Mechanism.service.in
R053	src/org.opensuse.cups-pk-helper.mechanism.policy.in	src/org.opensuse.cupspkhelper.mechanism.policy.in
A	src/test-cups-pk.c
A	src/test-cups.c

commit b4276a418cda637167be754a9dd5574505485fdf
Author: Vincent Untz <vuntz@novell.com>
Date:   Thu Sep 18 15:54:33 2008 +0200

    Add base of code, without methods (based on clock applet code).

A	.gitignore
M	configure.ac
M	src/Makefile.am
A	src/cups-pk-helper-mechanism.c
A	src/cups-pk-helper-mechanism.h
A	src/cups-pk-helper-mechanism.xml
A	src/main.c
A	src/org.opensuse.cups-pk-helper.Mechanism.conf
A	src/org.opensuse.cups-pk-helper.Mechanism.service.in
A	src/org.opensuse.cups-pk-helper.mechanism.policy.in

commit c5ce506b85670d1a17214f74a8ccfd9b7cd6d49e
Author: Vincent Untz <vuntz@novell.com>
Date:   Thu Sep 18 14:23:50 2008 +0200

    Initial commit. Only contains standard autofoo stuff.

A	AUTHORS
A	COPYING
A	ChangeLog
A	Makefile.am
A	NEWS
A	README
A	autogen.sh
A	configure.ac
A	po/POTFILES.in
A	po/POTFILES.skip
A	src/Makefile.am
A	src/cups-methods.c
